> For the complete documentation index, see [llms.txt](https://docs.sdv.dev/sdv/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sdv.dev/sdv/multi-table-data/sampling.md).

# Sampling

After you are finished with modeling, your can use your synthesizer to generate and save synthetic data.

```python
 from sdv.utils import load_synthesizer

synthesizer = load_synthesizer(
    filepath='my_synthesizer.pkl'
)

synthetic_data = synthesizer.sample(scale=2.5)
```

#### What are your sampling needs?

The multi-table synthesizers can support multiple sampling needs.

<table data-card-size="large" data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><a href="/pages/tMltdxtYKeZpyYEdx1Jh"><strong>Sample Realistic Data</strong></a></td><td>Create large amounts of synthetic data that follow the same format and mathematical properties as the real data.</td><td><a href="/pages/tMltdxtYKeZpyYEdx1Jh">/pages/tMltdxtYKeZpyYEdx1Jh</a></td></tr><tr><td><a href="/pages/0qDw4T9BenY8xp9oxRPl"><strong>Sample Conditional Data</strong></a></td><td>Request specific, fixed values to appear in your data. Use this for simulating scenarios, de-biasing your data and more.</td><td><a href="/pages/0qDw4T9BenY8xp9oxRPl">/pages/0qDw4T9BenY8xp9oxRPl</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sdv.dev/sdv/multi-table-data/sampling.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
